Bug 19027 - Media events to indicate captions and audio descriptions
Media events to indicate captions and audio descriptions
Status: RESOLVED WORKSFORME
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
PC Windows NT
: P2 normal
: ---
Assigned To: This bug has no owner yet - up for the taking
HTML WG Bugzilla archive list
http://www.w3.org/TR/html5/video.html...
: a11y, a11ytf, media
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-25 21:55 UTC by contributor
Modified: 2013-03-20 08:39 UTC (History)
9 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-09-25 21:55:47 UTC
This was was cloned from bug 8659 as part of operation LATER convergence.
Originally filed: 2010-01-06 11:02:00 +0000
Original reporter: Gez Lemon <gez.lemon@gmail.com>

================================================================================
 #0   Gez Lemon                                       2010-01-06 11:02:57 +0000 
--------------------------------------------------------------------------------
Propose adding additional media events to indicate whether captions and audio descriptions are present, turned on, etc.
================================================================================
 #1   Philip Jägenstedt                               2010-01-06 13:31:27 +0000 
--------------------------------------------------------------------------------
Just events in themselves aren't very useful. What we need is a full API for track selection, please bring such suggestions to the mailing list for discussion, as no one is completely pleased with any suggestion solution so far.
================================================================================
 #2   Michael Cooper                                  2010-02-04 16:36:56 +0000 
--------------------------------------------------------------------------------
HTML Accessibility Task force making this a formal tracked bug for the TF.
================================================================================
 #3   Michael Cooper                                  2010-02-04 16:42:44 +0000 
--------------------------------------------------------------------------------
Removing myself from cc list, default on bug edits is to add, but I'm only acting on behalf of HTML A11Y TF which is already cc'd.
================================================================================
 #4   Ian 'Hixie' Hickson                             2010-02-14 10:18:40 +0000 
--------------------------------------------------------------------------------
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If you are satisfied with this response, please change the state of this bug to CLOSED. If you have additional information and would like the editor to reconsider, please reopen this bug. If you would like to escalate the issue to the full HTML Working Group, please add the TrackerRequest keyword to this bug, and suggest title and text for the tracker issue; or you may create a tracker issue yourself, if you are able to do so. For more details, see this document:
   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Partially Accepted
Change Description: see diff given below
Rationale: I agree that we need an API for getting the timed-track data. I'm waiting for the browsers to catch up with what we have so far before expanding the media API further.
================================================================================
 #5   Ian 'Hixie' Hickson                             2010-02-14 10:19:13 +0000 
--------------------------------------------------------------------------------
(In reply to comment #4)
> Change Description: see diff given below

Correction; no change has yet been applied to the spec.
================================================================================
 #6   Michael Cooper                                  2011-03-10 16:44:41 +0000 
--------------------------------------------------------------------------------
Relates to ISSUE-152 http://www.w3.org/html/wg/tracker/issues/152
================================================================================
Comment 1 Silvia Pfeiffer 2013-01-24 07:43:39 UTC
Gez, can you indicate whether you think that the existing TextTrack API is sufficient?
Comment 2 Silvia Pfeiffer 2013-03-20 08:39:24 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy-v2.html

Status: Accepted

Change Description: Nothing new since the introduction of the TextTrack API provided for all the features that this bug asked for.

Rationale: Works for me